%define         srcname         qTox

Name:           qtox
Version:        1.16.3
Release:        %mkrel 1
Summary:        A powerful Tox client that follows the Tox design guidelines
License:        GPLv3
Group:          Networking/Instant messaging

URL:            https://github.com/qTox/qTox
Source0:        https://github.com/qTox/qTox/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(libtoxcore)
BuildRequires:  pkgconfig(openal)
BuildRequires:  ffmpeg-devel
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libqrencode)
BuildRequires:  pkgconfig(sqlcipher)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xscrnsaver)
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(atk)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5OpenGL)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)


%description
QTox is a Qt client for the Tox communication protocol. It follows the
Tox design guidelines while running on all major platforms and
supports many features such as: one to one chat with friends, group
chats, file transfers, audio calls and video calls.


%prep

%setup -q -n %{srcname}-%{version}
%autopatch -p1

%cmake .. \
          -DCMAKE_CXX_FLAGS="%{optflags} -Wno-deprecated-declarations"




%build
%make_build -C build




%install
%make_install -C build


%files
%doc LICENSE README.md
%{_bindir}/qtox
%{_iconsdir}/hicolor
%{_datadir}/applications/io.github.qtox.qTox.desktop
%{_datadir}/metainfo/io.github.qtox.qTox.appdata.xml


%changelog
* Sat Oct 13 2018 zezinho <zezinho> 1.16.3-1.mga6
+ Revision: 1320032
+ rebuild (emptylog)

* Sun Sep 23 2018 umeabot <umeabot> 1.16.3-2.mga7
+ Revision: 1300715
- Mageia 7 Mass Rebuild

* Mon Jul 30 2018 eatdirt <eatdirt> 1.16.3-1.mga7
+ Revision: 1245990
- Upgrade to version 1.16.3

* Sun Apr 29 2018 daviddavid <daviddavid> 1.15.0-1.mga7
+ Revision: 1223410
- new version: 1.15.0
- split out all Qt5 BRs

* Wed Mar 14 2018 eatdirt <eatdirt> 1.14.0-1.mga7
+ Revision: 1209365
- Update to version 1.14.0

* Tue Nov 28 2017 eatdirt <eatdirt> 1.13.0-1.mga7
+ Revision: 1180133
- Upgrade to version 1.13.0

* Tue Nov 14 2017 eatdirt <eatdirt> 1.12.1-2.mga7
+ Revision: 1177328
- Fix overflow warning on non x86_64 archs
- imported package qtox

